std::numeric_limits< unsigned char > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr unsigned char | denorm_min () noexcept
static constexpr unsigned char | epsilon () noexcept
static constexpr unsigned char | infinity () noexcept
static constexpr unsigned char | lowest () noexcept
static constexpr unsigned char | max () noexcept
static constexpr unsigned char | min () noexcept
static constexpr unsigned char | quiet_NaN () noexcept
static constexpr unsigned char | round_error () noexcept
static constexpr unsigned char | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<unsigned char> specialization.

Definition at line 590 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr unsigned char std::numeric_limits< unsigned char >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 648 of file limits.

## epsilon()

static constexpr unsigned char std::numeric_limits< unsigned char >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 618 of file limits.

## infinity()

static constexpr unsigned char std::numeric_limits< unsigned char >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 636 of file limits.

## lowest()

static constexpr unsigned char std::numeric_limits< unsigned char >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 602 of file limits.

## max()

static constexpr unsigned char std::numeric_limits< unsigned char >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 598 of file limits.

## min()

static constexpr unsigned char std::numeric_limits< unsigned char >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 595 of file limits.

## quiet_NaN()

static constexpr unsigned char std::numeric_limits< unsigned char >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 640 of file limits.

## round_error()

static constexpr unsigned char std::numeric_limits< unsigned char >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 621 of file limits.

## signaling_NaN()

static constexpr unsigned char std::numeric_limits< unsigned char >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 644 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< unsigned char >::digits

static constexpr

Definition at line 605 of file limits.

## digits10

constexpr int std::numeric_limits< unsigned char >::digits10

static constexpr

Definition at line 607 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< unsigned char >::has_denorm

static constexpr

Definition at line 631 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< unsigned char >::has_denorm_loss

static constexpr

Definition at line 633 of file limits.

## has_infinity

constexpr bool std::numeric_limits< unsigned char >::has_infinity

static constexpr

Definition at line 628 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< unsigned char >::has_quiet_NaN

static constexpr

Definition at line 629 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< unsigned char >::has_signaling_NaN

static constexpr

Definition at line 630 of file limits.

## is_bounded

constexpr bool std::numeric_limits< unsigned char >::is_bounded

static constexpr

Definition at line 652 of file limits.

## is_exact

constexpr bool std::numeric_limits< unsigned char >::is_exact

static constexpr

Definition at line 614 of file limits.

## is_iec559

constexpr bool std::numeric_limits< unsigned char >::is_iec559

static constexpr

Definition at line 651 of file limits.

## is_integer

constexpr bool std::numeric_limits< unsigned char >::is_integer

static constexpr

Definition at line 613 of file limits.

## is_modulo

constexpr bool std::numeric_limits< unsigned char >::is_modulo

static constexpr

Definition at line 653 of file limits.

## is_signed

constexpr bool std::numeric_limits< unsigned char >::is_signed

static constexpr

Definition at line 612 of file limits.

## is_specialized

constexpr bool std::numeric_limits< unsigned char >::is_specialized

static constexpr

Definition at line 592 of file limits.

## max_digits10

constexpr int std::numeric_limits< unsigned char >::max_digits10

static constexpr

Definition at line 610 of file limits.

## max_exponent

constexpr int std::numeric_limits< unsigned char >::max_exponent

static constexpr

Definition at line 625 of file limits.

## max_exponent10

constexpr int std::numeric_limits< unsigned char >::max_exponent10

static constexpr

Definition at line 626 of file limits.

## min_exponent

constexpr int std::numeric_limits< unsigned char >::min_exponent

static constexpr

Definition at line 623 of file limits.

## min_exponent10

constexpr int std::numeric_limits< unsigned char >::min_exponent10

static constexpr

Definition at line 624 of file limits.

## radix

constexpr int std::numeric_limits< unsigned char >::radix

static constexpr

Definition at line 615 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< unsigned char >::round_style

static constexpr

Definition at line 657 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< unsigned char >::tinyness_before

static constexpr

Definition at line 656 of file limits.

## traps

constexpr bool std::numeric_limits< unsigned char >::traps

static constexpr

Definition at line 655 of file limits.

The documentation for this struct was generated from the following file:

- limits